Subject: Re: reference-transaction regression in 2.36.0-rc1

From: Junio C Hamano <[email-masked]>
Date: Wed, 13 Apr 2022 15:56:14 -0700

Junio C Hamano <[email-masked]> writes:

> Reverting the merge 991b4d47f0a as a whole is an option.  It might
> be the safest thing to do, if we do not to want to extend the cycle
> and add a few more -rc releases before the final.

It turns out that this involves nontrivial amount of work to get
right, as the bottom commit of Patrick's "fetch --atomic" series
wants to count how many transaction we make, instead of ensuring
that the updates to the references are all-or-none, so at least
2a0cafd4 (fetch: increase test coverage of fetches, 2022-02-17)
needs to be reverted as well.  This in turn is made unnecessarily
more cumbersome as the history in the t/ directory is littered with
unrelated "clean-up" patches since these topics were merged.